Bug 479196 - Enable xrandr plugin -> gnome-settings-daemon doesn't start.
Enable xrandr plugin -> gnome-settings-daemon doesn't start.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
10
All Linux
high Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 16:19 EST by Emanuele Bellini
Modified: 2009-12-26 16:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:32:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Before opening the desktop preferences window (221.21 KB, image/png)
2009-01-07 16:19 EST, Emanuele Bellini
no flags Details
After opening the desktop preferences window (373.46 KB, image/png)
2009-01-07 16:21 EST, Emanuele Bellini
no flags Details
My (useless?) xsession_errors file (381.58 KB, text/plain)
2009-01-19 17:37 EST, Emanuele Bellini
no flags Details

  None (edit)
Description Emanuele Bellini 2009-01-07 16:19:02 EST
Created attachment 328414 [details]
Before opening the desktop preferences window

Description of problem:
When I start my computer, sometimes the theme I chose is loaded, sometimes it isn't and there is the fedora default one. When I launch the desktop preferences window, Gnome's scared and the theme becomes the right one.


Version-Release number of selected component (if applicable):
Gnome 2.24.2


Steps to Reproduce:
1.Turn on the computer
  
Actual results:
If you're lucky Gnome starts with the right theme; if you're unlucky retry, or call the desktop preferences window.


Expected results:
I want to be always lucky! I'm joking, Gnome should always start with the right theme.


Additional info:
The theme I have now is the Murrine (from the Fedora repository) but it happened also before when I had another theme. I use the Oxygen set of icons, that's all about my customization. I use the Metacity compositor, but it seems it doesn't depend on it.
Comment 1 Emanuele Bellini 2009-01-07 16:21:00 EST
Created attachment 328415 [details]
After opening the desktop preferences window

Now the theme is the right one.
Comment 2 Emanuele Bellini 2009-01-07 16:22:09 EST
Comment on attachment 328414 [details]
Before opening the desktop preferences window

Note that the theme is the Fedora default one.
Comment 3 Matthias Clasen 2009-01-16 15:04:16 EST
Most likely your gnome-settings-daemon is crashing, causing the theme to be reset.

Can you verify that ?
Comment 4 Emanuele Bellini 2009-01-17 05:13:47 EST
Yes, of course... You mean I won't find it in the process list next time I have the default theme, am I right? If I am, I'll check next time the theme won't apply.
Comment 5 James Ettle 2009-01-19 15:00:08 EST
Emanuele, do you see anything in .xsession_errors, something like:

The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 946 error_code 8 request_code 20 minor_code 0)
Comment 6 Emanuele Bellini 2009-01-19 17:35:00 EST
Sorry for not letting you know, but I was feeling lucky... So I tried to verify that with the law of large numbers (wildly restarting Gnome), but actually I'm not (at least, the problem is reproducible)!
Yes, now I have the Fedora default theme and the gnome-settings-daemon doesn't appear in the process list.
I'm going to upload the my .xsession_errors file, but it seems there's nothing interesting, in fact I don't think it's changed since I checked it the last time when the theme was the right one. Moreover, I can't find "gnome-settings-daemon" in that file.
So, what to check next?
Comment 7 Emanuele Bellini 2009-01-19 17:37:31 EST
Created attachment 329406 [details]
My (useless?) xsession_errors file
Comment 8 Joachim Frieben 2009-02-09 12:38:58 EST
(In reply to comment #5)
I do observe the same issue on a current F10 x86_64 system with all updates as of 2009-02-09. File ".xsession-errors" exhibits:

  "The program 'gnome-settings-daemon' received an X Window System error.
  This probably reflects a bug in the program.
  The error was 'BadMatch (invalid parameter attributes)'.
    (Details: serial 929 error_code 8 request_code 20 minor_code 0)
    (Note to programmers: normally, X errors are reported asynchronously;
     that is, you will receive the error a while after causing it.
     To debug your program, run it with the --sync command line
     option to change this behavior. You can then get a meaningful
     backtrace from your debugger if you break on the gdk_x_error() function.)"

Installed packages include:
- gnome-desktop-2.24.3-1.fc10.x86_64
- gnome-session-2.24.3-1.fc10.x86_64
- gnome-settings-daemon-2.24.1-7.fc10.x86_64
- xorg-x11-drv-ati-6.10.0-2.fc10.x86_64
- xorg-x11-server-*-1.5.3-8.fc10.x86_64
Comment 9 eagleton 2009-03-01 04:25:08 EST
Same problem here, slightly different error message:
-------------------------------

The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 843 error_code 8 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

----------------

I'm using the standard theme with the echo icons. I've also noted that special keys (volume) are not working when this happens.
Comment 10 Jan Pazdziora 2009-03-14 03:59:03 EDT
I get

The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 769 error_code 8 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

on my F10 on EeePC 1000 with intel driver on

(--) PCI:*(0@0:2:0) Intel Corporation Mobile 945GME Express Integrated Graphics 
Controller rev 3, Mem @ 0xf7e00000/0, 0xd0000000/0, 0xf7dc0000/0, I/O @ 0x0000dc
80/0
(--) PCI: (0@0:2:1) Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express I
ntegrated Graphics Controller rev 3, Mem @ 0xf7e80000/0

and gnome-settings-daemon-2.24.1-7.fc10.i386.
Comment 11 Jan Pazdziora 2009-03-14 04:01:27 EDT
There is a potentialy related bug 480867 in rawhide.
Comment 12 Bastien Nocera 2009-05-07 22:34:53 EDT
Reassigning to gnome-desktop, as it's most likely the xrandr plugin that's the culprit.
Comment 13 Bug Zapper 2009-11-18 02:50:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 02:32:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Jan Pazdziora 2009-12-26 16:55:19 EST
For the record, with Fedora 11 on EEE PC 1000, the problem does not seem to be present anymore.

Note You need to log in before you can comment on or make changes to this bug.